Upgrade jQuery to 1.6.2
Closed, ResolvedPublic

Description

Rather than reopening bug 28904

It's a bugfix/maintenance, so we should really take advantage of it


Version: unspecified
Severity: enhancement
URL: http://blog.jquery.com/2011/06/30/jquery-162-released/

bzimport set Reference to bz29773.
Reedy created this task.Via LegacyJul 8 2011, 4:15 PM
Krinkle added a comment.Via ConduitJul 10 2011, 8:03 PM

We'll have to check out the diff carefully before upgrading and check their release-notes. I'll do this one tonight.

Reedy added a comment.Via ConduitJul 10 2011, 8:46 PM

Awesome

Just seems to make sense to put out the newest possible (sub, at least) release if we can :)

Krinkle added a comment.Via ConduitJul 10 2011, 9:19 PM

diff
a: http://code.jquery.com/jquery-1.6.1.js
b: http://code.jquery.com/jquery-1.6.2.js

I don't see anything that could affect our core modules. They fixed a bunch of bugs though, which is cool.
I've also checked a few common extensions in my trunk checkout (CodeReview, WikiEditor, Vector, WikiLove, ArticleFeedback) in source code to see if anything would likely break there, didn't find any.

The QUnit test suite still the same before and after.

Fixed in r91845.

hashar added a comment.Via ConduitJul 16 2011, 9:13 AM

merged in REL1_18 by r92349

Add Comment